<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "treatment_friendly_treatment".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "TreatmentFriendlyTreatment".
 *
 * Columns in table "treatment_friendly_treatment" available as properties of the model,
 * and there are no model relations.
 *
 * @property integer $id
 * @property integer $treatment_id
 * @property integer $treatment_friendly_id
 *
 */
abstract class BaseTreatmentFriendlyTreatment extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'treatment_friendly_treatment';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'TreatmentFriendlyTreatment|TreatmentFriendlyTreatments', $n);
    }

    public static function representingColumn()
    {
        return 'id';
    }

    public function rules()
    {
        return array(
            array('treatment_id, treatment_friendly_id', 'required'),
            array('treatment_id, treatment_friendly_id', 'numerical', 'integerOnly' => true),
            array('id, treatment_id, treatment_friendly_id', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'treatment_id' => Yii::t('app', 'Treatment'),
            'treatment_friendly_id' => Yii::t('app', 'Treatment Friendly'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('treatment_id', $this->treatment_id);
        $criteria->compare('treatment_friendly_id', $this->treatment_friendly_id);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
